export declare class Logger {
    private serviceName;
    private env;
    private logService;
    private exitOnError;
    constructor(serviceName: string, env?: 'dev' | 'prod' | 'test', logService?: string, exitOnError?: boolean);
    private initProd;
    private initDev;
    info(message: string, ...meta: any[]): void;
    warn(message: string, ...meta: any[]): void;
    error(message: string, ...meta: any[]): void;
}
