/// <reference types="node" />
import * as http from 'http';
import { Logger } from './logger';
export declare class Server {
    app: any;
    server: http.Server;
    port: number;
    hostname: string;
    logger: Logger;
    protocol: string;
    constructor(options: {
        hostname: string;
        port: number;
        protocol: string;
    }, logger: Logger);
    run(callback: Function): void;
}
